commit: ba0a59bffee86328be16b4a63add7e8beadaccbb
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 7 19:28:49 2024 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 7 21:53:57 2024 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=ba0a59bf
net-misc/kio-zeroconf: Add IUSE kf6compat
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
net-misc/kio-zeroconf/kio-zeroconf-23.08.49.9999.ebuild | 17 +++++++++++++++--
net-misc/kio-zeroconf/metadata.xml | 4 ++++
2 files changed, 19 insertions(+), 2 deletions(-)
diff --git a/net-misc/kio-zeroconf/kio-zeroconf-23.08.49.9999.ebuild
b/net-misc/kio-zeroconf/kio-zeroconf-23.08.49.9999.ebuild
index 72ad871c0f..19e85576f4 100644
--- a/net-misc/kio-zeroconf/kio-zeroconf-23.08.49.9999.ebuild
+++ b/net-misc/kio-zeroconf/kio-zeroconf-23.08.49.9999.ebuild
@@ -12,7 +12,7 @@ DESCRIPTION="KIO worker to discover file systems by DNS-SD
(DNS Service Discover
LICENSE="GPL-2+"
SLOT="5"
KEYWORDS=""
-IUSE=""
+IUSE="kf6compat"
DEPEND="
>=dev-qt/qtdbus-${QTMIN}:5
@@ -22,4 +22,17 @@ DEPEND="
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
"
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+ kf6compat? ( net-misc/kio-zeroconf:6 )
+"
+
+src_install() {
+ ecm_src_install
+
+ if use kf6compat; then
+ rm "${D}"/usr/share/metainfo/org.kde.kio_zeroconf.metainfo.xml \
+ "${D}"/usr/share/dbus-1/interfaces/org.kde.kdnssd.xml \
+ "${D}"/usr/share/remoteview/zeroconf.desktop || die
+ rm -r "${D}"/usr/share/locale || die
+ fi
+}
diff --git a/net-misc/kio-zeroconf/metadata.xml
b/net-misc/kio-zeroconf/metadata.xml
index d925f24397..8697c2472c 100644
--- a/net-misc/kio-zeroconf/metadata.xml
+++ b/net-misc/kio-zeroconf/metadata.xml
@@ -7,5 +7,9 @@
</maintainer>
<upstream>
<bugs-to>https://bugs.kde.org/</bugs-to>
+ <remote-id type="kde-invent">network/kio-zeroconf</remote-id>
</upstream>
+ <use>
+ <flag name="kf6compat">Disable components colliding with KF6,
depend on KF6 components instead</flag>
+ </use>
</pkgmetadata>